<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Foundation\Application;
use Illuminate\Support\Facades\Route;
use Inertia\Inertia;
use Illuminate\Http\Response;

Route::get('/', function () {
    return Inertia::render('welcome', [
        'canLogin' => Route::has('login'),
        'canRegister' => Route::has('register'),
        'laravelVersion' => Application::VERSION,
        'phpVersion' => PHP_VERSION,
    ]);
});

// Route::get('/404', function () {
//     return Inertia::render('404');
// });

Route::fallback(function () {
    return Inertia::render('404');
});

Route::get('/pengumuman', function () {
    return Inertia::render('Pengumuman');
});

Route::get('/test', function () {
    return Inertia::render('Test');
});

Route::get('/undangan', function () {
    return Inertia::render('Undangan');
});

Route::get('/peraturan', function () {
    return Inertia::render('Peraturan');
});

Route::get('/dashboard', function () {
    return Inertia::render('dashboard');
})->middleware(['auth'])->name('dashboard');

Route::middleware(['auth'])->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';
